﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
    background-color: #999999;
    color: black;
}

.iframeBody{
    background-color: white;
    font-size: 12px;
    padding-top: 0px;
}

h2{
    font-size: 25px;
    font-weight: bold;
}

iframe{
    background-color: white;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    font-size: 12px;
    padding: 0 10px;
    margin-top: 15px;
    background-color: silver;
    border-radius: 16px;
    width: 100%;
    float: right;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select{
    max-width: 300px;
    background-color: gainsboro;
}

textarea{
    min-width: 300px;
    height: 100px;
    background-color: gainsboro;
}


.table{
    background-color: gainsboro;
    border-radius: 8px;
}

.form-horizontal{
    width: 50%;
    background-color: silver;
    border-radius: 8px;
}

.form-control{
        background-color: gainsboro;
}

.form-control option:hover{
    background-color: grey;
    color: white;
}
.form-horizontal .control-label,
.form-horizontal .checkbox{
    padding-top: 0;
}

.form-group{
    padding-left: 5px;
}

.ui-dialog .ui-dialog-content{
    font-size: 12px;
}

.ui-dialog .ui-dialog-content
.inbox{
    width: 100%;
    height: 100%;
    font-size: 12px;
}

.inbox .btn{
    font-size: 1em;
}

.dialog-load{
    text-align: center;
}

.inbox input,
.inbox select
{
    max-width: 80%;
    font-size: 12px;
}

.inbox textarea
{
    min-width: 80%;
    max-width: 80%;
    min-height: 200px;
    font-size: 12px;
}

.ordersearch,
.tatsearch{
    background-color: whitesmoke;
    padding: 10px 0px;
    border-radius: 8px;
}

.ordersearch input,
.ordersearch select,
.ordersearch textarea{
    max-width: 200px;
    margin-bottom: 10px;
}

.ordersearch a{
    margin-top: 20px;
}

.sidebar-nav{
   margin-top: 15px;
   border-radius: 8px;
   font-size: 11pt;
   padding: 2px;
}

.sidebar-nav a{
    color: black;
}

.nav-header{
    text-align:center;
    font-weight: bold;
    background-color: lightgrey;
}

.validation-summary-errors
{
    padding: 5px;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    background-color: rgba(200,200,200,0.5);
    border-radius: 10px;
}
.validation-summary-errors li{
    list-style: none;
    color: red;
}

.oncall_icon{
    font-size: 14pt;
    padding: 15px 0px;
}

.worklistDisplay{
    text-align:center;
    font-weight: bold;
    margin-top: 10px;
}

#messageTable tbody tr:hover{
    cursor: pointer; 
    text-decoration: underline;
}

.table-order{
    /*table-layout: fixed;*/
    background-color: whitesmoke;
    width: 100%;
    max-width: 100%;
    margin-bottom: 40px;
    border: 4px solid #e3e3e3;
    border-radius: 8px;
          -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}

.table-order .glyphicon{
    color: black;
    margin-top: 10px;
}

.order_icon_final{
    background-image: url(Images/final.gif);
    width: 13.33px;
    height: 13.33px;
    background-repeat: no-repeat;
    background-position: center;
}

.order_icon_prelim{
    background-image: url(Images/prelim.gif);
    width: 13.33px;
    height: 13.33px;
    background-repeat: no-repeat;
    background-position: center;
}

.order_icon_addendum{
    background-image: url(Images/addendum.gif);
    width: 13.33px;
    height: 13.33px;
    background-repeat: no-repeat;
    background-position: center;
}

.dataTables_length{
      float: left;
}

.order-table .row:first-child{
    background-color: whitesmoke;    
}

.order-table .row:nth-child(2) .col-sm-12,
.order-table .row:nth-child(3) .col-sm-5,
.order-table .row:nth-child(3) .col-sm-7{
    padding: 0px;
}

.dataTable tr:nth-child(even){
    background-color: whitesmoke;
}

div.dataTables_wrapper div.dataTables_info{
    padding-top: 0;
    float: left;
}

.paginate_button{
  text-align: center;
  cursor: pointer;
  color: #333 !important;
}

.table-order tr:hover{
    background-color: white;
}

.table-order th{
      background-color: white;
      text-align: center;
      border: 1px solid grey;
}

.table-order th:hover{
    background-color: whitesmoke;
}

.table > thead > tr > th{
    border-bottom: 2px solid grey;
}

.table-order td{
    border: 1px solid grey;

}

.order_detail_pane{
    font-size: 8pt;
}

.order_detail_table{
    background-color: lightgrey;
    border: 5px solid lightgrey;
    width: 100%;
}
.order_detail_table tr:nth-child(even){
    background-color: white;
}


#tat-list h3,
#order-list h3{
    cursor: pointer;
    font-weight: bold;
    text-align: center;
    background-color: whitesmoke;
    margin-bottom: 0px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    font-size: 18px;
}

#order-list h3:hover{
    background-color: #999999;
}

.order-table{
    position: relative;
}

.order_patient {
    cursor: pointer;
}

.order_location {
    text-decoration: underline;
    cursor: pointer;
}

.multi-study{
    color: blue;
    font-weight: bold;
    float: right;
    padding-right: 20px;
}

.multi-study:hover{
    text-decoration: underline;
    cursor: pointer;
}
.refreshText{
    color: green;
    font-size: 10pt;
}

.reportControls{
    margin: 10px 0px;
}

/*Critical finding anim*/


        .critical-finding {
            background-color: red;
            -webkit-animation-name: critical; /* Safari 4.0 - 8.0 */
            -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
            animation-name: critical;
            animation-duration: 2.5s;
            animation-iteration-count: infinite;
            animation-direction: alternate;
        }

@-webkit-keyframes critical {
    from {
        background-color: whitesmoke;
    }

    to {
        background-color: orange;
    }
}


.hide-mrn
{
    position: absolute;
    left: 175px;
    top: 28px;
    z-index: 1;
}

.carousel-fade .carousel-inner .item {
  opacity: 0;
  -webkit-transition-property: opacity;
  -moz-transition-property: opacity;
  -o-transition-property: opacity;
  transition-property: opacity;
}
.carousel-fade .carousel-inner .active {
  opacity: 1;
}
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
  left: 0;
  opacity: 0;
  z-index: 1;
}
.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
  opacity: 1;
}
.carousel-fade .carousel-control {
  z-index: 2;
}

.clear{
    background: #0b2b47; 
    border-top: 1px solid #336a87; 
    border-radius: 8px;
    height: 50px; 
    width: 100%; 
    margin-top: 10px; 
    clear:both; 
    color: white;
}

#requestPeerReview .row,
#processOrderDictation .row{
    padding-top: 2px;
    padding-bottom:2px;
}

/*Lock Icons*/

.glyphicon-unlock {
    background-image: url(Images/unlock.svg);
    width: 13.33px;
    height: 13.33px;
    background-repeat: no-repeat;
    background-position: center;
}

.glyphicon-user-lock {
    background-image: url('Images/claim_order.svg');
    width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    background-position: center;
}

/*Order colors*/

.status-awaiting-transcription
{
    color: #3333FF;
}
.status-completed
{
   color: #006400;
}
.status-canceled
{
    color:#A52A2A;
}
.status-ordered
{
    color:#9900CC;
}
.priority-stat
{
    color: red;
}
.priority-super-stat
{
    color: black;
    font-weight: bold;
}
.priority-routine-new
{
    color: #3333FF;
}
.priority-routine-old
{
     color:#A52A2A;
}

/* TIDBITS  */

#template-technique,
#template-findings,
#template-impression{
}

#template-panel{
    left: -20px;
    border: 2px inset #ccc;
    border-radius: 8px;
    background-color: gainsboro;
}


/*  EXPERIMENTAL SIDEMENU  */

html, body {
   height: 100%;
}

.wrapper, .row {
   height: 100%;
   margin-left:0;
   margin-right:0;
}

.wrapper:before, .wrapper:after,
.column:before, .column:after {
    content: "";
    display: table;
}

.wrapper:after,
.column:after {
    clear: both;
}

#sidebar {
    position: fixed;
    top: 50px;
    left: 0;
    background-color: #eee;
    padding-left: 0;
    float: left;
    min-height: 20px;
    z-index: 5000;
}

#sidebar .collapse.in {
    display: inline;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

#sidebar > .nav>li>a {
    white-space: nowrap;
    overflow: hidden;
    display: inline;
}

#sidebar > .nav>li>a:hover{
    background-color: transparent;
}

#sidebar li{
    padding: 15px 0px;
}

#sidebar .nav-header{
    padding: 0;
    height: 20px;
}

#sidetoggle{
    position: absolute;
    right: 0;
    margin-right: 3px;
}

#main {
    left: 0;
}

.maincanvas{
    width: 97%;
}

/* CHECKBOX AS BUTTON*/
.ck-button {
    margin:4px;
    background-color:#EFEFEF;
    border-radius:4px;
    border:1px solid #D0D0D0;
    overflow:auto;
    float:left;
}

.ck-button:hover {
    background:lightgrey;
}

.ck-button label {
    float:left;
    width:8.0em;
    cursor: pointer;
}

.ck-button label span {
    text-align:center;
    padding:3px 0px;
    display:block;
}

.ck-button label input {
    position:absolute;
    display:none;
}

.ck-button input:checked + span {
    background-color:grey;
    color:#fff;
}

/*
 * off canvas sidebar
 * --------------------------------------------------
 */
@media screen and (max-width: 768px) {
    #sidebar {
        min-width: 44px;
    }
    
    #main {
        width: 1%;
        left: 0;
    }
    
    #sidebar .visible-xs {
       display:inline !important;
    }
    
    .row-offcanvas {
       position: relative;
      /*-webkit-transition: all 0.4s ease-in-out;
       -moz-transition: all 0.4s ease-in-out;
       transition: all 0.4s ease-in-out;*/
    }
    
    .row-offcanvas-left.active {
       left: 45%;
    }
    
    .row-offcanvas-left.active .sidebar-offcanvas {
       left: -45%;
       position: absolute;
       top: 0;
       width: 45%;
    }
}


@media screen and (min-width: 768px) {
    .row-offcanvas {
        position: relative;
        /*-webkit-transition: all 0.25s ease-out;
        -moz-transition: all 0.25s ease-out;
        transition: all 0.25s ease-out;*/
    }

    .row-offcanvas-left {
        left: 17%;
    }

    .row-offcanvas-left.active {
        left: 3%;
    }

        .row-offcanvas-left.active .sidebar-offcanvas {
            left: -3%;
            position: absolute;
            top: 0;
            width: 3%;
            text-align: center;
            min-width: 42px;
        }
}

#noti_Container {
            position: relative; /* This is crucial for the absolutely positioned element */
            cursor: pointer;
}

.noti_bubble {
            position: absolute; /* This breaks the div from the normal HTML document. */
            top: 20px;
            right: 0px;
            padding: 3px 4px 3px 4px;
            background-color: red; /* you could use a background image if you'd like as well */
            color: white;
            font-weight: bold;
            font-size: 0.55em;
            /* The following is CSS3, but isn't crucial for this technique to work. */
            /* Keep in mind that if a browser doesn't support CSS3, it's fine! They just won't have rounded borders and won't have a box shadow effect. */
            /* You can always use a background image to produce the same effect if you want to, and you can use both together so browsers without CSS3 still have the rounded/shadow look. */
            border-radius: 30px;
            box-shadow: 1px 1px 1px gray;
}

.noti_bubble_table{
            position: absolute; /* This breaks the div from the normal HTML document. */
            top: 5px;
            padding: 3px 4px 3px 4px;
            background-color: red; /* you could use a background image if you'd like as well */
            color: white;
            font-weight: bold;
            font-size: 0.45em;
            /* The following is CSS3, but isn't crucial for this technique to work. */
            /* Keep in mind that if a browser doesn't support CSS3, it's fine! They just won't have rounded borders and won't have a box shadow effect. */
            /* You can always use a background image to produce the same effect if you want to, and you can use both together so browsers without CSS3 still have the rounded/shadow look. */
            border-radius: 30px;
            box-shadow: 1px 1px 1px gray;
            display:none;
    }

@-moz-document url-prefix() {
    .noti_bubble {
            position: absolute; /* This breaks the div from the normal HTML document. */
            top: 20px;
            right: 15px;
            padding: 3px 4px 3px 4px;
            background-color: red; /* you could use a background image if you'd like as well */
            color: white;
            font-weight: bold;
            font-size: 0.55em;
            /* The following is CSS3, but isn't crucial for this technique to work. */
            /* Keep in mind that if a browser doesn't support CSS3, it's fine! They just won't have rounded borders and won't have a box shadow effect. */
            /* You can always use a background image to produce the same effect if you want to, and you can use both together so browsers without CSS3 still have the rounded/shadow look. */
            border-radius: 30px;
            box-shadow: 1px 1px 1px gray;
    }

    .noti_bubble_table{
            position: absolute; /* This breaks the div from the normal HTML document. */
            top: 5px;
            padding: 3px 4px 3px 4px;
            background-color: red; /* you could use a background image if you'd like as well */
            color: white;
            font-weight: bold;
            font-size: 0.45em;
            /* The following is CSS3, but isn't crucial for this technique to work. */
            /* Keep in mind that if a browser doesn't support CSS3, it's fine! They just won't have rounded borders and won't have a box shadow effect. */
            /* You can always use a background image to produce the same effect if you want to, and you can use both together so browsers without CSS3 still have the rounded/shadow look. */
            border-radius: 30px;
            box-shadow: 1px 1px 1px gray;
            display:none;
    }
}

.embedded-list{
    background-color:gainsboro;
    padding: 5px;
    border: 4px double grey;
    border-radius: 8px;
}

.ui-widget.ui-widget-content[aria-describedby="radSelect"],
.ui-widget.ui-widget-content[aria-describedby="radSelect"]:focus{
    z-index: 2001;
}

#processBtn,
#quickCompleteBtn,
#delete-file,
#peerReviewBtn{
    cursor: pointer;
}

#peerReviewBtn.requested{
    color: red;
}

#peerReviewBtn.reviewed{
    color: green;
}

.ui-widget.ui-widget-content[aria-describedby="dialog-box"]{
    z-index: 5001;
}

.ui-widget.ui-widget-content[aria-describedby="radSelect"] .ui-dialog-titlebar{
    display:none;
}

#patientDetails .row:nth-child(odd){
    background-color: gainsboro;
}

#patientDetails ul{
    list-style: none;
}

.select2-container,
.select2-container--default,
.select2-search--dropdown,
.select2-search__field,
.select2-container--open,
.select2-dropdown--below{
    z-index: 5001;
}

#risModalContent textarea{
    font-size: 9pt;
}

#risModalContent .btn{
    margin-top: 5px;
}

#menu span{
    font-size: 10pt;
}

.unread {
    font-weight: bold;
}

.reportTypeBtn{
    display: inline;
}

.reportTypeBtn input[type="radio"]{
    display: none;
}

.reportTypeBtn label {
    display: inline-block;
    background-color: gainsboro;
    padding: 5px 10px;
    font-size:12px;
    border: 1px solid #444;
    border-radius: 4px;
}

.reportTypeBtn input[type="radio"]:checked + label { 
    background-color: grey;
}

.reportTypeBtn label:hover {
    cursor: pointer;
    background-color: white;
}

.asyncTable h4{
    background-color: gainsboro;
    padding: 5px 10px;
    text-align:center;
    border: 1px solid #444;
    border-radius: 4px;
}

@media screen and (max-width: 1500px) {

    .table-order{
        font-size: 9pt;
    }

    .reportTypeBtn label {
        padding: 3px 6px;
        font-size: 10px;
    }

}

@media screen and (max-width: 1000px) {

    .table-order{
        font-size: 8pt;
    }

    .order_mrnacc, .order_mrnacc_header,
    .order_imagecount, .order_imagecount_header,
    .order_technotes, .order_technotes_header{
        display: none;
    }

}